
Redmine - Feature #4534

Only receive emails for new issues

2010-01-07 17:40 - Patrick Cummins

Status: Reopened Start date: 2010-01-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

A new communication preference that only sends emails to the user when a new issue is created on their project would be VERY

helpful.

It could either be a new option.

"Only things that I watch or am involved in, or new issues on my projects"

OR add a checkbox options for "any event on my projects / selected projects" allowing the user to choose which events.

Related issues:

Is duplicate of Redmine - Feature #2597: Allow users to choose on which speci... New 2009-01-27

History

#1 - 2010-01-07 22:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

See #2597.

#2 - 2010-01-08 14:49 - Patrick Cummins

- Status changed from Closed to Reopened

Jean-Philippe,

I read through the plug-in referenced in the related ticket, and it doesn't offer a solution to the issue I've stated.  See: 

http://www.redmine.org/boards/3/topics/7453.

According to the documentation (at http://blog.goyello.com/2009/07/16/how-to-manage-email-notifications-within-redmine/) the user would only have

the option to limit email strictly to issues assigned to them.

With this option, the project would still require a PM to assign issues to the appropriate member.  I want every member to receive emails for new

issues so the appropriate developer knows to pick up an issue without having to log in and view new issues.  Other project members will only receive

updates if they have opted to Watch the issue.

Does that make sense?

#3 - 2010-01-08 14:57 - Felix Schäfer

Hello Patrick,

If an Atom feed is an option for you, I think you could create a filter to show on new or even new and non-assigned issues and follow an Atom feed for

that (though I'm not sure the feeds are "filter-aware", so you'd have to test this one first).

Another option might be the New Issue Alert Plugin which enables you to specify email addresses that should get notified when a new issue is

created at project-level. It's not quite what you are looking for (project-level setting vs. user setting), but that might do the trick for you for the time

being.

#4 - 2010-07-22 00:02 - Patrick Cummins

Thanks Felix.  I'm using the New Issue Alert Plugin to solve this.
